{
  "compilerOptions": {
    "target": "ES2021",
    "useDefineForClassFields": true,
    "lib": ["ES2021", "DOM", "DOM.Iterable"],
    "module": "ESNext",
    "skipLibCheck": true,
    /* Bundler mode */
    "moduleResolution": "bundler",
    "allowImportingTsExtensions": true,
    "resolveJsonModule": true,
    "isolatedModules": true,
    "noEmit": true,
    "jsx": "react-jsx",
    /* Linting */
    "strict": true,
    "noFallthroughCasesInSwitch": true,
    "paths": {
      "@/*": ["./lib/*"],
      "@ui_kit/*": ["./lib/ui_kit/*"],
      "@icons/*": ["./lib/assets/icons/*"],
      "@stores/*": ["./lib/stores/*"],
      "@api/*": ["./lib/api/*"],
      "@model/*": ["./lib/model/*"],
      "@utils/*": ["./lib/utils/*"],
      "@contexts/*": ["./lib/contexts/*"],
      "@locales/*": ["./lib/locales/*"]
    }
  },
  "include": ["lib", "src"],
  "exclude": ["cypress.config.ts", "cypress", "node_modules"],
  "references": [
    {
      "path": "./tsconfig.node.json"
    }
  ]
}
